summaryrefslogtreecommitdiff
path: root/node_modules/snekfetch/scripts/travis-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'node_modules/snekfetch/scripts/travis-test.sh')
-rw-r--r--node_modules/snekfetch/scripts/travis-test.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/node_modules/snekfetch/scripts/travis-test.sh b/node_modules/snekfetch/scripts/travis-test.sh
new file mode 100644
index 0000000..aa4e37d
--- /dev/null
+++ b/node_modules/snekfetch/scripts/travis-test.sh
@@ -0,0 +1,14 @@
+set -e
+
+npm run lint
+
+npm run test
+
+if [ "$TRAVIS_BRANCH" != "master" -o -n "$TRAVIS_TAG" -o "$TRAVIS_PULL_REQUEST" != "false" ]; then
+ echo -e "Not sending coverage for a non master branch push - covering without sending."
+ exit 0
+fi
+
+echo -e "Generating Coverage for a master branch push - covering and sending."
+
+npm run test:coveralls